Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TestApp Class Reference

Collaboration diagram for TestApp:

[legend]
List of all members.

## Public Member Functions
| TestApp ()
| ~TestApp ()
bool | InitEngine ()
bool | InitData ()
bool | InitDisplay (HINSTANCE hInstance)
bool | StartDisplay ()
void | ShutDown ()
int | MainLoop ()
## Static Private Member Functions
HWND | CreateNewWindow (HINSTANCE hInstance)
void | MoveNewWindow (HWND hWnd, int x, int y)
LRESULT CALLBACK | WndProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
## Private Attributes
HWND | m_WindowHandle
IdeCamera * | m_Cam
IdeDriver * | m_Driver
IdeRender * | m_Render
IdeFont * | m_Font
IdeDriver::deDisplay | m_Display
bool | m_LostFocus
int | m_Wireframe
IdeSceneObject * | m_Triangle
IdeSceneRoom * | m_Room

## Constructor & Destructor Documentation

TestApp::TestApp | ( |  | ) | `[inline]`

TestApp::~TestApp | ( |  | ) | `[inline]`

## Member Function Documentation

HWND TestApp::CreateNewWindow | ( | HINSTANCE | hInstance | ) | `[static, private]`

bool TestApp::InitData | ( |  | ) |

bool TestApp::InitDisplay | ( | HINSTANCE | hInstance | ) |

bool TestApp::InitEngine | ( |  | ) |

int TestApp::MainLoop | ( |  | ) |

void TestApp::MoveNewWindow | ( | HWND | hWnd,
|  | int | x,
|  | int | y
| ) | `[static, private]`

void TestApp::ShutDown | ( |  | ) |

bool TestApp::StartDisplay | ( |  | ) |

LRESULT CALLBACK TestApp::WndProc | ( | HWND | hwnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static, private]`

## Member Data Documentation

IdeCamera* TestApp::m_Cam`[private]`

IdeDriver::deDisplay TestApp::m_Display`[private]`

IdeDriver* TestApp::m_Driver`[private]`

IdeFont* TestApp::m_Font`[private]`

bool TestApp::m_LostFocus`[private]`

IdeRender* TestApp::m_Render`[private]`

IdeSceneRoom* TestApp::m_Room`[private]`

IdeSceneObject* TestApp::m_Triangle`[private]`

HWND TestApp::m_WindowHandle`[private]`

int TestApp::m_Wireframe`[private]`

The documentation for this class was generated from the following file:

- tut_01_init.cpp